let H =
      https://gitlab.horizon-haskell.net/dhall/horizon-spec/-/raw/0.10.0/horizon-spec/package.dhall

let packages =
      { JuicyPixels = H.callHackage "JuicyPixels" "3.3.8"
      , Only = H.callHackage "Only" "0.1"
      , amqp = H.callHackage "amqp" "0.22.2"
      , attoparsec-iso8601 = H.callHackage "attoparsec-iso8601" "1.1.0.1"
      , bin = H.callHackage "bin" "0.1.3"
      , binary-orphans = H.callHackage "binary-orphans" "1.0.4.1"
      , brick = H.callHackage "brick" "2.3.1"
      , bytes = H.callHackage "bytes" "0.17.3"
      , bytestring-lexing = H.callHackage "bytestring-lexing" "0.5.0.11"
      , cassava = H.callHackage "cassava" "0.5.3.0"
      , chell = H.callHackage "chell" "0.5.0.2"
      , chell-quickcheck = H.callHackage "chell-quickcheck" "0.2.5.4"
      , clientsession = H.callHackage "clientsession" "0.9.2.0"
      , composite-base =
          H.callGit
            "https://github.com/locallycompact/composite-base"
            "fdcf4721c1337aec2ebcd4e0cef0e7964e0519ff"
            (None H.Subdir)
      , constraints-extras = H.callHackage "constraints-extras" "0.4.0.0"
      , cpphs = H.callHackage "cpphs" "1.20.9.1"
      , criterion = H.callHackage "criterion" "1.6.3.0"
      , cryptohash-md5 = H.callHackage "cryptohash-md5" "0.11.101.0"
      , css-text = H.callHackage "css-text" "0.1.3.0"
      , data-binary-ieee754 = H.callHackage "data-binary-ieee754" "0.4.4"
      , deepseq-generics = H.callHackage "deepseq-generics" "0.2.0.0"
      , dense-linear-algebra = H.callHackage "dense-linear-algebra" "0.1.0.0"
      , dependent-map = H.callHackage "dependent-map" "0.4.0.0"
      , dependent-sum = H.callHackage "dependent-sum" "0.7.2.0"
      , dependent-sum-template =
          H.callHackage "dependent-sum-template" "0.2.0.1"
      , deriving-compat = H.callHackage "deriving-compat" "0.6.5"
      , digest = H.callHackage "digest" "0.0.2.0"
      , directory-tree = H.callHackage "directory-tree" "0.12.1"
      , doctest = H.callHackage "doctest" "0.22.2"
      , email-validate = H.callHackage "email-validate" "2.3.2.19"
      , errors = H.callHackage "errors" "2.3.0"
      , extensible-effects = H.callHackage "extensible-effects" "5.0.0.1"
      , file-embed = H.callHackage "file-embed" "0.0.15.0"
      , formatting = H.callHackage "formatting" "7.2.0"
      , generic-monoid = H.callHackage "generic-monoid" "0.1.0.1"
      , generics-sop = H.callHackage "generics-sop" "0.5.1.4"
      , ghc-tcplugins-extra = H.callHackage "ghc-tcplugins-extra" "0.4.5"
      , haskell-src = H.callHackage "haskell-src" "1.0.4"
      , hedis = H.callHackage "hedis" "0.15.2"
      , hspec-expectations-lifted =
          H.callHackage "hspec-expectations-lifted" "0.10.0"
      , hspec-wai = H.callHackage "hspec-wai" "0.11.1"
      , html-conduit = H.callHackage "html-conduit" "1.3.2.2"
      , http-api-data = H.callHackage "http-api-data" "0.6"
      , http-media = H.callHackage "http-media" "0.8.1.1"
      , hxt = H.callHackage "hxt" "9.3.1.22"
      , hxt-charproperties = H.callHackage "hxt-charproperties" "9.5.0.0"
      , hxt-regex-xmlschema = H.callHackage "hxt-regex-xmlschema" "9.2.0.7"
      , hxt-unicode = H.callHackage "hxt-unicode" "9.0.2.4"
      , indexed-profunctors = H.callHackage "indexed-profunctors" "0.1.1.1"
      , insert-ordered-containers =
          H.callHackage "insert-ordered-containers" "0.2.5.3"
      , js-chart = H.callHackage "js-chart" "2.9.4.1"
      , lift-type = H.callHackage "lift-type" "0.1.1.1"
      , linear = H.callHackage "linear" "1.22"
      , markdown-unlit = H.callHackage "markdown-unlit" "0.6.0"
      , microstache = H.callHackage "microstache" "1.0.2.3"
      , monad-logger = H.callHackage "monad-logger" "0.3.40"
      , monad-loops = H.callHackage "monad-loops" "0.4.3"
      , monads-tf = H.callHackage "monads-tf" "0.3.0.1"
      , monoidal-containers = H.callHackage "monoidal-containers" "0.6.4.0"
      , mtl-compat = H.callHackage "mtl-compat" "0.2.2"
      , network-info = H.callHackage "network-info" "0.2.1"
      , newtype = H.callHackage "newtype" "0.2.2.0"
      , openapi3 = H.callHackage "openapi3" "3.2.4"
      , optics = H.callHackage "optics" "0.4.2.1"
      , optics-core = H.callHackage "optics-core" "0.4.1.1"
      , optics-extra = H.callHackage "optics-extra" "0.4.2.1"
      , optics-th = H.callHackage "optics-th" "0.4.1"
      , options = H.callHackage "options" "1.2.1.2"
      , path-pieces = H.callHackage "path-pieces" "0.2.1"
      , persistent = H.callHackage "persistent" "2.14.6.0"
      , persistent-postgresql = H.callHackage "persistent-postgresql" "2.13.6.1"
      , persistent-qq = H.callHackage "persistent-qq" "2.12.0.6"
      , persistent-sqlite = H.callHackage "persistent-sqlite" "2.13.3.0"
      , persistent-template = H.callHackage "persistent-template" "2.12.0.0"
      , persistent-test = H.callHackage "persistent-test" "2.13.1.3"
      , polyparse = H.callHackage "polyparse" "1.13"
      , polysemy = H.callHackage "polysemy" "1.9.1.3"
      , polysemy-plugin = H.callHackage "polysemy-plugin" "0.4.5.1"
      , port-utils = H.callHackage "port-utils" "0.2.1.0"
      , postgres-options = H.callHackage "postgres-options" "0.2.1.0"
      , postgresql-libpq = H.callHackage "postgresql-libpq" "0.10.0.0"
      , postgresql-simple = H.callHackage "postgresql-simple" "0.7.0.0"
      , protolude = H.callHackage "protolude" "0.3.3"
      , quiet = H.callHackage "quiet" "0.2"
      , recursion-schemes = H.callHackage "recursion-schemes" "5.2.2.5"
      , regex-compat = H.callHackage "regex-compat" "0.95.2.1"
      , resource-pool = H.callHackage "resource-pool" "0.4.0.0"
      , rio = H.callHackage "rio" "0.1.22.0"
      , scanner = H.callHackage "scanner" "0.3.1"
      , sdl2 = H.callHackage "sdl2" "2.5.5.0"
      , sdl2-gfx = H.callHackage "sdl2-gfx" "0.3.0.0"
      , sdl2-image = H.callHackage "sdl2-image" "2.1.0.0"
      , sdl2-mixer = H.callHackage "sdl2-mixer" "1.2.0.0"
      , sdl2-ttf = H.callHackage "sdl2-ttf" "2.1.3"
      , selda =
          H.callGit
            "https://github.com/guibou/selda"
            "54c12169ce8cd46a7b3c698f65cea55e41a13fe6"
            (Some "selda/")
      , servant = H.callHackage "servant" "0.20.1"
      , servant-client = H.callHackage "servant-client" "0.20"
      , servant-client-core = H.callHackage "servant-client-core" "0.20"
      , servant-docs = H.callHackage "servant-docs" "0.13"
      , servant-foreign = H.callHackage "servant-foreign" "0.16"
      , servant-multipart = H.callHackage "servant-multipart" "0.12.1"
      , servant-multipart-api = H.callHackage "servant-multipart-api" "0.12.1"
      , servant-server = H.callHackage "servant-server" "0.20"
      , shakespeare = H.callHackage "shakespeare" "2.1.0.1"
      , should-not-typecheck = H.callHackage "should-not-typecheck" "2.1.0"
      , skein = H.callHackage "skein" "1.0.9.4"
      , sop-core = H.callHackage "sop-core" "0.5.0.2"
      , statistics = H.callHackage "statistics" "0.16.2.1"
      , stm-chans = H.callHackage "stm-chans" "3.0.0.9"
      , string-conversions = H.callHackage "string-conversions" "0.4.0.1"
      , swagger2 = H.callHackage "swagger2" "2.8.7"
      , system-fileio = H.callHackage "system-fileio" "0.3.16.4"
      , system-filepath = H.callHackage "system-filepath" "0.4.14"
      , tagsoup = H.callHackage "tagsoup" "0.14.8"
      , tasty-wai = H.callHackage "tasty-wai" "0.1.2.0"
      , th-extras =
          H.callGit
            "https://github.com/mokus0/th-extras"
            "962fbbd729635c6f3c5379b1639bbd11d8f6ca5a"
            (None H.Subdir)
      , tmp-postgres =
          H.callGit
            "https://github.com/jfischoff/tmp-postgres"
            "7f2467a6d6d5f6db7eed59919a6773fe006cf22b"
            (None H.Subdir)
      , type-errors = H.callHackage "type-errors" "0.2.0.2"
      , unagi-chan = H.callHackage "unagi-chan" "0.4.1.4"
      , uri-bytestring = H.callHackage "uri-bytestring" "0.3.3.1"
      , uuid = H.callHackage "uuid" "1.3.15"
      , vinyl = H.callHackage "vinyl" "0.14.3"
      , vty = H.callHackage "vty" "6.1"
      , vty-crossplatform = H.callHackage "vty-crossplatform" "0.4.0.0"
      , vty-unix = H.callHackage "vty-unix" "0.2.0.0"
      , wai-app-static = H.callHackage "wai-app-static" "3.1.8"
      , wai-extra = H.callHackage "wai-extra" "3.1.13.0"
      , webdriver = H.callHackage "webdriver" "0.12.0.0"
      , xml-conduit = H.callHackage "xml-conduit" "1.9.1.3"
      , xml-types = H.callHackage "xml-types" "0.3.8"
      , xmlgen = H.callHackage "xmlgen" "0.6.2.2"
      , xss-sanitize = H.callHackage "xss-sanitize" "0.3.7.2"
      , yesod = H.callHackage "yesod" "1.6.2.1"
      , yesod-core = H.callHackage "yesod-core" "1.6.25.1"
      , yesod-form = H.callHackage "yesod-form" "1.7.6"
      , yesod-persistent = H.callHackage "yesod-persistent" "1.6.0.8"
      , yesod-test = H.callHackage "yesod-test" "1.6.16"
      , zip-archive = H.callHackage "zip-archive" "0.4.3"
      }

in  H.HorizonExport.MakeOverlay
      { overlayFile = "overlay.nix"
      , packagesDir = "pkgs/"
      , overlay = { compiler = "ghc-9.6.3", packages = toMap packages }
      }
