{ mkDerivation, base, constraints-extras, containers, lib, mtl
, some, template-haskell, th-abstraction
}:
mkDerivation {
  pname = "dependent-sum-template";
  version = "0.2.0.1";
  sha256 = "0efbe33f3aef8e341193cf5cfa12592ed622d174bb4f8cd91bc75e989c3c6a65";
  isLibrary = true;
  isExecutable = false;
  enableSeparateDataOutput = false;
  libraryHaskellDepends = [
    base containers mtl some template-haskell th-abstraction
  ];
  testHaskellDepends = [
    base constraints-extras some template-haskell th-abstraction
  ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = true;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  homepage = "https://github.com/obsidiansystems/dependent-sum-template";
  description = "Template Haskell code to generate instances of classes in some package";
  license = lib.licenses.publicDomain;
  broken = false;
}