{ pkgs, ... }:

final: prev: with pkgs.haskell.lib; {
  JuicyPixels = final.callPackage (./pkgs/JuicyPixels.nix) { };

  Only = final.callPackage (./pkgs/Only.nix) { };

  amqp = final.callPackage (./pkgs/amqp.nix) { };

  attoparsec-iso8601 = final.callPackage (./pkgs/attoparsec-iso8601.nix) { };

  bin = final.callPackage (./pkgs/bin.nix) { };

  binary-orphans = final.callPackage (./pkgs/binary-orphans.nix) { };

  brick = final.callPackage (./pkgs/brick.nix) { };

  bytes = final.callPackage (./pkgs/bytes.nix) { };

  bytestring-lexing = final.callPackage (./pkgs/bytestring-lexing.nix) { };

  cassava = final.callPackage (./pkgs/cassava.nix) { };

  chell = final.callPackage (./pkgs/chell.nix) { };

  chell-quickcheck = final.callPackage (./pkgs/chell-quickcheck.nix) { };

  clientsession = final.callPackage (./pkgs/clientsession.nix) { };

  composite-base = final.callPackage (./pkgs/composite-base.nix) { };

  constraints-extras = final.callPackage (./pkgs/constraints-extras.nix) { };

  cpphs = final.callPackage (./pkgs/cpphs.nix) { };

  criterion = final.callPackage (./pkgs/criterion.nix) { };

  cryptohash-md5 = final.callPackage (./pkgs/cryptohash-md5.nix) { };

  css-text = final.callPackage (./pkgs/css-text.nix) { };

  data-binary-ieee754 = final.callPackage (./pkgs/data-binary-ieee754.nix) { };

  deepseq-generics = final.callPackage (./pkgs/deepseq-generics.nix) { };

  dense-linear-algebra = final.callPackage (./pkgs/dense-linear-algebra.nix) { };

  dependent-map = final.callPackage (./pkgs/dependent-map.nix) { };

  dependent-sum = final.callPackage (./pkgs/dependent-sum.nix) { };

  dependent-sum-template = final.callPackage (./pkgs/dependent-sum-template.nix) { };

  deriving-compat = final.callPackage (./pkgs/deriving-compat.nix) { };

  digest = final.callPackage (./pkgs/digest.nix) { };

  directory-tree = final.callPackage (./pkgs/directory-tree.nix) { };

  doctest = final.callPackage (./pkgs/doctest.nix) { };

  email-validate = final.callPackage (./pkgs/email-validate.nix) { };

  errors = final.callPackage (./pkgs/errors.nix) { };

  extensible-effects = final.callPackage (./pkgs/extensible-effects.nix) { };

  file-embed = final.callPackage (./pkgs/file-embed.nix) { };

  formatting = final.callPackage (./pkgs/formatting.nix) { };

  generic-monoid = final.callPackage (./pkgs/generic-monoid.nix) { };

  generics-sop = final.callPackage (./pkgs/generics-sop.nix) { };

  ghc-tcplugins-extra = final.callPackage (./pkgs/ghc-tcplugins-extra.nix) { };

  haskell-src = final.callPackage (./pkgs/haskell-src.nix) { };

  hedis = final.callPackage (./pkgs/hedis.nix) { };

  hspec-expectations-lifted = final.callPackage (./pkgs/hspec-expectations-lifted.nix) { };

  hspec-wai = final.callPackage (./pkgs/hspec-wai.nix) { };

  html-conduit = final.callPackage (./pkgs/html-conduit.nix) { };

  http-api-data = final.callPackage (./pkgs/http-api-data.nix) { };

  http-media = final.callPackage (./pkgs/http-media.nix) { };

  hxt = final.callPackage (./pkgs/hxt.nix) { };

  hxt-charproperties = final.callPackage (./pkgs/hxt-charproperties.nix) { };

  hxt-regex-xmlschema = final.callPackage (./pkgs/hxt-regex-xmlschema.nix) { };

  hxt-unicode = final.callPackage (./pkgs/hxt-unicode.nix) { };

  indexed-profunctors = final.callPackage (./pkgs/indexed-profunctors.nix) { };

  insert-ordered-containers = final.callPackage (./pkgs/insert-ordered-containers.nix) { };

  js-chart = final.callPackage (./pkgs/js-chart.nix) { };

  lift-type = final.callPackage (./pkgs/lift-type.nix) { };

  linear = final.callPackage (./pkgs/linear.nix) { };

  markdown-unlit = final.callPackage (./pkgs/markdown-unlit.nix) { };

  microstache = final.callPackage (./pkgs/microstache.nix) { };

  monad-logger = final.callPackage (./pkgs/monad-logger.nix) { };

  monad-loops = final.callPackage (./pkgs/monad-loops.nix) { };

  monads-tf = final.callPackage (./pkgs/monads-tf.nix) { };

  monoidal-containers = final.callPackage (./pkgs/monoidal-containers.nix) { };

  mtl-compat = final.callPackage (./pkgs/mtl-compat.nix) { };

  network-info = final.callPackage (./pkgs/network-info.nix) { };

  newtype = final.callPackage (./pkgs/newtype.nix) { };

  openapi3 = final.callPackage (./pkgs/openapi3.nix) { };

  optics = final.callPackage (./pkgs/optics.nix) { };

  optics-core = final.callPackage (./pkgs/optics-core.nix) { };

  optics-extra = final.callPackage (./pkgs/optics-extra.nix) { };

  optics-th = final.callPackage (./pkgs/optics-th.nix) { };

  options = final.callPackage (./pkgs/options.nix) { };

  path-pieces = final.callPackage (./pkgs/path-pieces.nix) { };

  persistent = final.callPackage (./pkgs/persistent.nix) { };

  persistent-postgresql = final.callPackage (./pkgs/persistent-postgresql.nix) { };

  persistent-qq = final.callPackage (./pkgs/persistent-qq.nix) { };

  persistent-sqlite = final.callPackage (./pkgs/persistent-sqlite.nix) { };

  persistent-template = final.callPackage (./pkgs/persistent-template.nix) { };

  persistent-test = final.callPackage (./pkgs/persistent-test.nix) { };

  polyparse = final.callPackage (./pkgs/polyparse.nix) { };

  polysemy = final.callPackage (./pkgs/polysemy.nix) { };

  polysemy-plugin = final.callPackage (./pkgs/polysemy-plugin.nix) { };

  port-utils = final.callPackage (./pkgs/port-utils.nix) { };

  postgres-options = final.callPackage (./pkgs/postgres-options.nix) { };

  postgresql-libpq = final.callPackage (./pkgs/postgresql-libpq.nix) { };

  postgresql-simple = final.callPackage (./pkgs/postgresql-simple.nix) { };

  protolude = final.callPackage (./pkgs/protolude.nix) { };

  quiet = final.callPackage (./pkgs/quiet.nix) { };

  recursion-schemes = final.callPackage (./pkgs/recursion-schemes.nix) { };

  regex-compat = final.callPackage (./pkgs/regex-compat.nix) { };

  resource-pool = final.callPackage (./pkgs/resource-pool.nix) { };

  rio = final.callPackage (./pkgs/rio.nix) { };

  scanner = final.callPackage (./pkgs/scanner.nix) { };

  sdl2 = final.callPackage (./pkgs/sdl2.nix) { };

  sdl2-gfx = final.callPackage (./pkgs/sdl2-gfx.nix) { };

  sdl2-image = final.callPackage (./pkgs/sdl2-image.nix) { };

  sdl2-mixer = final.callPackage (./pkgs/sdl2-mixer.nix) { };

  sdl2-ttf = final.callPackage (./pkgs/sdl2-ttf.nix) { };

  selda = final.callPackage (./pkgs/selda.nix) { };

  servant = final.callPackage (./pkgs/servant.nix) { };

  servant-client = final.callPackage (./pkgs/servant-client.nix) { };

  servant-client-core = final.callPackage (./pkgs/servant-client-core.nix) { };

  servant-docs = final.callPackage (./pkgs/servant-docs.nix) { };

  servant-foreign = final.callPackage (./pkgs/servant-foreign.nix) { };

  servant-multipart = final.callPackage (./pkgs/servant-multipart.nix) { };

  servant-multipart-api = final.callPackage (./pkgs/servant-multipart-api.nix) { };

  servant-server = final.callPackage (./pkgs/servant-server.nix) { };

  shakespeare = final.callPackage (./pkgs/shakespeare.nix) { };

  should-not-typecheck = final.callPackage (./pkgs/should-not-typecheck.nix) { };

  skein = final.callPackage (./pkgs/skein.nix) { };

  sop-core = final.callPackage (./pkgs/sop-core.nix) { };

  statistics = final.callPackage (./pkgs/statistics.nix) { };

  stm-chans = final.callPackage (./pkgs/stm-chans.nix) { };

  string-conversions = final.callPackage (./pkgs/string-conversions.nix) { };

  swagger2 = final.callPackage (./pkgs/swagger2.nix) { };

  system-fileio = final.callPackage (./pkgs/system-fileio.nix) { };

  system-filepath = final.callPackage (./pkgs/system-filepath.nix) { };

  tagsoup = final.callPackage (./pkgs/tagsoup.nix) { };

  tasty-wai = final.callPackage (./pkgs/tasty-wai.nix) { };

  th-extras = final.callPackage (./pkgs/th-extras.nix) { };

  tmp-postgres = final.callPackage (./pkgs/tmp-postgres.nix) { };

  type-errors = final.callPackage (./pkgs/type-errors.nix) { };

  unagi-chan = final.callPackage (./pkgs/unagi-chan.nix) { };

  uri-bytestring = final.callPackage (./pkgs/uri-bytestring.nix) { };

  uuid = final.callPackage (./pkgs/uuid.nix) { };

  vinyl = final.callPackage (./pkgs/vinyl.nix) { };

  vty = final.callPackage (./pkgs/vty.nix) { };

  vty-crossplatform = final.callPackage (./pkgs/vty-crossplatform.nix) { };

  vty-unix = final.callPackage (./pkgs/vty-unix.nix) { };

  wai-app-static = final.callPackage (./pkgs/wai-app-static.nix) { };

  wai-extra = final.callPackage (./pkgs/wai-extra.nix) { };

  webdriver = final.callPackage (./pkgs/webdriver.nix) { };

  xml-conduit = final.callPackage (./pkgs/xml-conduit.nix) { };

  xml-types = final.callPackage (./pkgs/xml-types.nix) { };

  xmlgen = final.callPackage (./pkgs/xmlgen.nix) { };

  xss-sanitize = final.callPackage (./pkgs/xss-sanitize.nix) { };

  yesod = final.callPackage (./pkgs/yesod.nix) { };

  yesod-core = final.callPackage (./pkgs/yesod-core.nix) { };

  yesod-form = final.callPackage (./pkgs/yesod-form.nix) { };

  yesod-persistent = final.callPackage (./pkgs/yesod-persistent.nix) { };

  yesod-test = final.callPackage (./pkgs/yesod-test.nix) { };

  zip-archive = final.callPackage (./pkgs/zip-archive.nix) { };

}
