{ mkDerivation, base, bytestring, lib, zlib }:
mkDerivation {
  pname = "digest";
  version = "0.0.2.0";
  sha256 = "a8f3b33e02462be34bfee57ec50b3b48f294ae47a0418d4af1f8d9c924704441";
  isLibrary = true;
  isExecutable = false;
  enableSeparateDataOutput = false;
  libraryHaskellDepends = [ base bytestring ];
  libraryPkgconfigDepends = [ zlib ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = true;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  description = "CRC32 and Adler32 hashes for bytestrings";
  license = lib.licenses.bsd2;
  broken = false;
}