{ mkDerivation, base, containers, fetchgit, lib, syb
, template-haskell, th-abstraction
}:
mkDerivation {
  pname = "th-extras";
  version = "0.0.0.6";
  src = fetchgit {
    url = "https://github.com/mokus0/th-extras";
    sha256 = "04frwz80m7v5hwmkv6q7dicq8db2ja0b6zpswra0ka6dhxka01w8";
    rev = "962fbbd729635c6f3c5379b1639bbd11d8f6ca5a";
    fetchSubmodules = true;
  };
  isLibrary = true;
  isExecutable = false;
  enableSeparateDataOutput = false;
  libraryHaskellDepends = [
    base containers syb template-haskell th-abstraction
  ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = true;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  homepage = "https://github.com/mokus0/th-extras";
  description = "A grab bag of functions for use with Template Haskell";
  license = lib.licenses.publicDomain;
  broken = false;
}